# Akamai\Open\EdgeGrid\Authentication\Nonce::__construct

#### Constructor

Determines if PHP 7's random_bytes() can be used

## Signature

`public function __construct()`

## Test Coverage

### Information

- Coverage: 4/4 Lines (100%)
- Tests: 4
- Passed: 4 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\Authentication\NonceTest::testMakeNonce
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\Authentication\NonceTest::testMakeNonceRandomBytes
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testDefaultTimestamp
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testDefaultNonce